{% extends 'store/base.html' %}
{% load static %}
{% block content %}
    <div class="row">
        <div class="col-lg-2"></div>
        <div class="col-lg-8">
            <br>
            {% for order in past_orders %}
                {% if order.cart_status != 'in_progress' %}
                    <br>
                    <div class="box-element">
                        <div class="row">
                            <div class="col-lg-6">
                                <p><strong>Transaction ID : </strong>{{ order.transaction_id }}</p>
                                <p><strong>Order Date : </strong>{{ order.order_date }}</p>
                                <p><strong>Order Status : </strong>{{ order.cart_status }}</p>
                            </div>
                            <div class="col-lg-6">
                                <p><strong>Shipping Address:</strong></p>
                                <p>{{ order.shipping_details.address }}, {{ order.shipping_details.city }} - {{ order.shipping_details.zipcode }}, {{ order.shipping_details.state }}</p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-9">
                                <p><strong>Product Details:</strong></p>
                                {% for item in order.cart_items %}
                                    <div class="cart-row">
                                        <div style="flex:2"><img class="row-image" src="{{ item.product.imageURL }}"></div>
                                        <div style="flex:2"><p>{{ item.product.product_name }}</p></div>
                                        <div style="flex:1"><p>₹ {{ item.product.price }}</p></div>
                                        <div style="flex:1"><p>x{{ item.product_no }}</p></div>
                                    </div>
                                {% endfor %}
                            </div>
                            <div class="col-lg-3">
                                <p><strong>Total Items :</strong> {{ order.get_total_items }}</p>
                                <p><strong>Total Amount :</strong> ₹ {{ order.get_total_amount }}</p>
                                {% if order.cart_status != 'delivered' and order.cart_status != 'cancelled' %}
                                    <button data-order={{ order.id }} class="btn btn-outline-success delete-order">Cancel Order</button>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                {% endif %}
            {% empty %}
                <h4>You have no past orders.</h4>
            {% endfor %}
        </div>
        <div class="col-lg-2"></div>
    </div>
{% endblock content %}

{% block cart %}
    {% if request.user.is_authenticated %}
        <div class="form-inline my-2 my-lg-0">
            <a href="{% url 'display-cart' cart.id %}">
                <img id="cart-icon" src="{% static 'images/cart.png' %}">
            </a>
            <p id="cart-total">{{ total_cart_items }}</p>
        </div>
    {% endif %}
{% endblock cart %}